package com.xhly.manageapp.network

object UriAdress {
    /**
     * 设备事件日志-添加
     */
    const val LOGDOPERATEADD = "/logdoperate/add"

    /**
     * 设备推送事件接口(1不用处理)
     * 推送类型：1发送消息2解除锁定3锁定4更新策略5重启设备6恢复出厂7解除管控
     */
    const val LOGPUSH_RECEIVED = "/logPush/received"

    /**
     *应用启动日志-添加,用来记录app的使用时长。
     */
    const val LOGAPPSTARTADD = "/logAppStart/add"

    /**
     *获得可显示应用列表
     */
    const val LIST_APP = "/app/list_app"

    /**
     * 获得必装应用列表
     */
    const val FORCEAPP = "app/list_forceapp"

    /**
     * 获得平板策略
     */
    const val DETAIL_PAD = "/stPad/detail_pad"

    /**
     * 获得应用策略
     */
    const val APP_LISTPAD = "/stApp/list_pad"

    /**
     * 网址白名单
     */
    const val APP_NET_WHITELIST = "/white/list_pad"

    /**
     * 设备--地理位置添加
     */
    const val PADLOCATIONADD = "/userPosition/add"

    /**
     * 设备详情--添加和更新
     */
    const val PADDETAILADD = "/deviceDetail/add"

    /**
     *用来统计版本更新消息，记录管控的版本
     */
    const val CLIENT_ADD = "/client/add"

    /**
     *设备已安装应用-批量添加
     */
    const val APPINSTALL_ADD = "/logAppInstall/batch_add"

    /**
     * 登录接口
     */
    const val ULOGIN_LOGIN = "/ulogin/login"




    /**
     * 登录校验接口
     */
    const val ULOGIN_CHECK_LOGIN = "/ulogin/check_login"

    /**
     * 退出登录接口
     */
    const val ULOGIN_LOGIN_OUT = "/ulogin/login_out"

    /**
     * 设备设置管理
     */
    const val DEVICESETDETAIL = "/schoolSet/detail"

    /**
     * 获得壁纸
     */
    const val WALLPAPERPAD = "/wallpaper/detail_pad"

    /**
     * 解除当前锁屏
     */
   /* const val PWD_DEATIL_USERPAD = "/password/detail_userpad"*/

    /**
     * 修改密码
     */
    const val EDITPWD="/user/edit_pwd"

    /**
     * 同步时间
     */
    const val SYNCTIME="/tool/milli"

    /**
     * 退出管控
     */
    const val EXIT_CONTROL="/password/exit_control"

    /**
     * 违规事件发送socket消息后，请求接口然后处理锁定
     * sn 设备号
     *  pushType  3锁定
     */
    const val EDIT_LOCKED="/logdoperate/edit_locked"

    /**
     * 违规事件发送socket消息后，请求接口然后处理恢复出厂设置
     * sn 设备号
     * pushType  6恢复出厂设置
     */
    const val EDIT_RESETED="/logdoperate/edit_reseted"

    /**
     * 区域码校验 参数regionCode string
     */
    const val REGION_CHECK_CODE="region/check_code"

    /**
     * 设备--解除锁定(锁定后，本地输入密码校验通过后调用)
     */
    const val EDIT_UNLOCK="deviceAuth/edit_unlock"
}